aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--src/version.h6
-rwxr-xr-xtest/dev_test_suite.sh17
2 files changed, 20 insertions, 3 deletions
diff --git a/src/version.h b/src/version.h
index 6492b1a..7a7557d 100644
--- a/src/version.h
+++ b/src/version.h
@@ -1,5 +1,5 @@
// version.h generated by GEMMA scripts/gen_version_info.sh
-#define GEMMA_VERSION "0.98.3"
-#define GEMMA_DATE "2020-11-28"
+#define GEMMA_VERSION "0.98.4"
+#define GEMMA_DATE "2020-12-15"
#define GEMMA_YEAR "2020"
-#define GEMMA_PROFILE ""
+#define GEMMA_PROFILE "/gnu/store/8mkllydvkgfy6ydlrymrx8wj0dy1x6lm-profile"
diff --git a/test/dev_test_suite.sh b/test/dev_test_suite.sh
index 903c72f..676e0b3 100755
--- a/test/dev_test_suite.sh
+++ b/test/dev_test_suite.sh
@@ -82,6 +82,23 @@ testBXDLMMLikelihoodRatio() {
assertEquals "3088458213" `perl -nle 'foreach $x (split(/\s+/,$_)) { $sum += sprintf("%.2f",(substr($x,,0,6))) } END { printf "%.0f",$sum }' $outfn`
}
+testBXDLMM9LikelihoodRatio() {
+ # Test for GeneNetwork output
+ outn=BXD_LMM_LR
+ $gemma $gemmaopts -g ../example/BXD_geno.txt.gz \
+ -p ../example/BXD_pheno.txt \
+ -c ../example/BXD_covariates2.txt \
+ -a ../example/BXD_snps.txt \
+ -k ./output/BXD.cXX.txt \
+ -lmm 9 -no-check -maf 0.1 \
+ -o $outn
+ assertEquals 0 $?
+
+ outfn=output/$outn.assoc.txt
+ assertEquals "80498" `wc -w < $outfn`
+ assertEquals "3088496565" `perl -nle 'foreach $x (split(/\s+/,$_)) { $sum += sprintf("%.2f",(substr($x,,0,6))) } END { printf "%.0f",$sum }' $outfn`
+}
+
testCenteredRelatednessMatrixissue188() {
outn=issue188
rm -f output/$outn.*